LINUX.ORG.RU
ФорумTalks

Кому-нибудь удалось войти в кабинет налогоплательщика по ЭЦП с Linux?

 ,


0

1

Как известно, сайт ФНС не пускает в личный кабинет ЮЛ или ИП с использованием ЭП с линукса: https://lkip2.nalog.ru/certificate/requirements

У меня нет ЭП, чтобы проверить, но может кто-то обходным путём входил? С подменой юзер-агента, например. Ведь все требуемые компоненты имеют Linux-версии.

И кто-нибудь писал обращения по этому поводу? Типа «почему это я не могу войти в ЛК ни с одной операционной системы из реестра отечественного ПО»?

Ещё такой вопрос. Как в других странах реализуются механизмы юридически значимой ЭЦП? Есть ли там какие-либо стандарты на этот счёт?

кто-нибудь писал обращения по этому поводу?

В прекрасной России будущего нытиков будут расстреливать.

Deleted ()
Ответ на: комментарий от Deleted

Причём тут нытики? Государство поставило цель переход на отечественное ПО. Составило список отечественных программ. А для несения гражданских обязанностей требует использовать неотечественные операционные системы.

Вот внесут винду в реестр отечественного ПО — тогда претензий не будет.

te111011010 ()
Ответ на: комментарий от te111011010

Может ты еще хочешь, чтоб налоги на блага граждан шли ?

Deleted ()

В старый для ФЛ можно было зайти через ЕСИА(госуслуги), там выбрать вход по КЭП, умеет несколько криптопровайдеров, я рутокен ЭЦП 2 пробовал. Но это только вход, а внутри только их неКЭП. В новом не помню, может плагин криптопро и csp нужен.

И для неФЛ браузер или туннель с tls гост нужен был, вроде.

boowai ★★★★ ()
Ответ на: комментарий от boowai

И для неФЛ браузер или туннель с tls гост нужен был, вроде.

Так есть это всё под Linux. Но сайт сам не пускает, для начала проверяя по юзер-агенту.

te111011010 ()
Ответ на: комментарий от te111011010

Помню, встречал «секретные» прямые ссылки для ЛК ЮЛ

boowai ★★★★ ()
Ответ на: комментарий от te111011010

Причём тут нытики? Государство поставило цель переход на отечественное ПО.

Видимо тогда надо писать не жалобу а донос о злостном саботаже в целях обогащения третьих лиц, то есть владельцев коммерческого продукта в пользу которого приняты дискриминационные ограничения или сделаны специальные технические отступления от стандарта.

torvn77 ★★★★★ ()

<…> Цепочку КСКПЭП, начиная от КСКПЭП УЦ <…>

Это какой-то КСКПЭП УЦ.

intelfx ★★★★★ ()
Последнее исправление: intelfx (всего исправлений: 1)

почему это я не могу войти в ЛК ни с одной операционной системы из реестра отечественного ПО

а твой браузер есть в реестре? ты же не напрямую с ОС входишь

WindowsXP ★★ ()
Ответ на: комментарий от torvn77

специальные технические отступления от стандарта.

Какие отступления, какого стандарта? Web crypto API все еще в разработке, java в браузере закопали. В линуксе разброд между между разными ssl, gnu чего-то и mozilla nss, А с ЭП: gpg, pkcs. ФСБ, конечно тоже палки в СПО вставляют, а сопровождающие нос воротят от патчей и выкидывают «лишние» шифры.

boowai ★★★★ ()
Ответ на: комментарий от WindowsXP

Но мне же написали не «ваш браузер не подходит», а «ваша ОС не подходит». Было бы другое, я бы установил браузер из реестра отечественного ПО.

te111011010 ()
Ответ на: комментарий от te111011010

Продвигатель альтлинуксов в массы.

Deleted ()
Ответ на: комментарий от te111011010

Ссылку на требования? Это вообще ни о чём не говорит. Попробовал тыкнуть «начать проверку» сказало что ОС не подходит. Включил UA IE10, сказало ОС подходит. Это ж для дебилов сделано, которые на XP сидят, чтобы не ныли в техподдержку.

no-such-file ★★★★★ ()
Ответ на: комментарий от te111011010

Но мне же написали не «ваш браузер не подходит», а «ваша ОС не подходит». Было бы другое, я бы установил браузер из реестра отечественного ПО.

Так проверь подмену UA. Вряд ли они какой тонкий фингерпринтинг ОС пользователя делают.

Хотя возможно, что криптобиблиотеки где-то пишут какой они версии. Но если уж пробовать, можно и их попытаться пропатчить. В результате, если все вскроется, ЭЦП признают недействительной, но можно или нельзя поймешь.

praseodim ★★★★★ ()
Ответ на: комментарий от no-such-file

Включил UA IE10, сказало ОС подходит. Это ж для дебилов сделано, которые на XP сидят, чтобы не ныли в техподдержку.

Тем более.

Хотя странно, причем тут дебилы и XP. Есть конфигурации (ОС+браузер+криптосистема) подходящие и неподходящие по требованиям.

praseodim ★★★★★ ()
Ответ на: комментарий от no-such-file

В любом случае я спросил у тех, у кого есть возможность проверить.

te111011010 ()
Ответ на: комментарий от praseodim

причем тут дебилы и XP

Есть конфигурации (ОС+браузер+криптосистема) подходящие и неподходящие по требованиям

Вот при том. Вангую, что везде работает, кроме древней XP. Которая осталась только у совсем уж необучаемых клуш. Вот для них и сделали «тест», чтобы техподдержка с порога отпинывала всех у кого «тест» не прошёл без долгих разговоров.

no-such-file ★★★★★ ()
Ответ на: комментарий от no-such-file

Так мне нужно подтверждение или опровержение от действительно пробовавших.

te111011010 ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)